<script setup lang="ts">
import type {BasedCode} from "@/entities/BasedCode/BasedCode";
import Flex from "@/components/atoms/container/Flex.vue";
import BoldText from "@/components/atoms/text/BoldText.vue";
import ExternalLink from "@/components/atoms/link/ExternalLink.vue";

defineProps<{ basedCodeList: Array<BasedCode> }>()
</script>

<template>
  <Flex class="flex-col overflow-auto">
    <BoldText>Comment choisir ?</BoldText>
    <ul class="flex flex-col gap-content">
      <li>
        <BoldText>Type de dépôt (obligatoire)</BoldText>
        <pre>Il correspond au logiciel qui vous permet de stocker votre code.</pre>
        <pre>Voici la liste des api utilisables :</pre>
        <ul>
          <li v-for="(basedCode) of basedCodeList">
            <pre>- {{ basedCode.name }}</pre>
          </li>
        </ul>
        <small>
          Vous pouvez créer votre propre connecteur
          <ExternalLink href="https://gitlab.com/deleuze-cedric/tools/project-versioning-manager-back">
            ici
          </ExternalLink>
          .
        </small>
      </li>
      <li>
        <BoldText>Token</BoldText>
        <!-- TODO : rajouter dans la config du basedCode au lieu de l'écrire ici -->
        <pre>
Il permet de se connecter à l'api pour récupérer les dépôts/mr/...
En fonction des dépôts :
- Gitlab :
  1. Créer un token d'authentification :
    - <a href="https://docs.gitlab.com/ee/user/profile/personal_access_tokens.html" target="_blank">Personnel</a>
    - <a href="https://docs.gitlab.com/ee/user/group/settings/group_access_tokens.html" target="_blank">Groupe</a>
    - <a href="https://docs.gitlab.com/ee/user/project/settings/project_access_tokens.html" target="_blank">Projet</a>
  2. Vous devez donner les droits suivants :
    - read_api
    - read_repository
    - write_repository
                </pre>
      </li>
      <li>
        <BoldText>Host</BoldText>
        <pre class="text-wrap">Adresse pour se connecter à l'api.</pre>
        <pre class="text-wrap">A renseigner uniquement si vous héberger votre outil !</pre>
        <pre class="text-wrap">Par exemple, par défaut l'api gitlab est accessible via le host "gitlab.com"</pre>
        <pre class="text-wrap">Mais le votre est accessible via "gitlab.mon_site.com".</pre>
      </li>
    </ul>
  </Flex>

</template>